Summary:	Programs for accessing MS-DOS disks without mounting the disks
Name: 		mtools
Version: 	4.0.43
Release: 	%mkrel 1
License: 	GPLv3+
Group: 		File tools
Url: 		https://www.gnu.org/software/mtools/intro.html
Source0:	https://ftp.gnu.org/gnu/mtools/%{name}-%{version}.tar.bz2
Source1:	69-floppy-acl.rules
Patch0: 	mtools-4.0.10-linux.patch
Patch2: 	mtools-4.0.12-atari.patch
BuildRequires:	texinfo

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 Xdf disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch2 -p0 -b .atari

%build
%configure --disable-floppyd
%make_build

%install
mkdir -p %{buildroot}/%{_prefix} %{buildroot}%{_sysconfdir}
%make_install
install mtools.conf %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}/%{_udevrulesdir}
install -m644 %{SOURCE1} %{buildroot}/%{_udevrulesdir}/69-floppy-acl.rules

%files
%doc COPYING NEWS README Release.notes mtools.texi
%{_udevrulesdir}/*.rules
%config(noreplace) %{_sysconfdir}/mtools.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_infodir}/%{name}.*


%changelog
* Mon May 22 2023 luigiwalser <luigiwalser> 4.0.43-1.mga9
+ Revision: 1957752
- 4.0.43

* Mon Oct 24 2022 ghibo <ghibo> 4.0.42-1.mga9
+ Revision: 1898872
- Update to release 4.0.42

* Tue Sep 27 2022 luigiwalser <luigiwalser> 4.0.41-1.mga9
+ Revision: 1892575
- 4.0.41

* Thu Jun 09 2022 tv <tv> 4.0.40-1.mga9
+ Revision: 1863745
- 4.0.40
- Disable floppyd support. Floppyd is a daemon allowing remote X clients to
  access floppies attached to e.g. thin clients. As it uses X authentication,
  it pulls in X libraries.

* Mon May 02 2022 luigiwalser <luigiwalser> 4.0.39-1.mga9
+ Revision: 1855532
- 4.0.39

* Tue Mar 22 2022 luigiwalser <luigiwalser> 4.0.38-1.mga9
+ Revision: 1817947
- 4.0.38

* Sat Mar 19 2022 umeabot <umeabot> 4.0.37-2.mga9
+ Revision: 1800369
- Mageia 9 Mass Rebuild

* Fri Jan 21 2022 luigiwalser <luigiwalser> 4.0.37-1.mga9
+ Revision: 1769376
- 4.0.37

* Fri Nov 26 2021 luigiwalser <luigiwalser> 4.0.36-1.mga9
+ Revision: 1759329
- 4.0.36

* Mon Aug 16 2021 luigiwalser <luigiwalser> 4.0.35-1.mga9
+ Revision: 1741657
- 4.0.35

* Fri Aug 06 2021 luigiwalser <luigiwalser> 4.0.34-1.mga9
+ Revision: 1739788
- rediff patch 2
- 4.0.34

* Sun Jul 11 2021 luigiwalser <luigiwalser> 4.0.31-1.mga9
+ Revision: 1735685
- 4.0.31

* Sat Jun 19 2021 joequant <joequant> 4.0.30-1.mga9
+ Revision: 1731323
- update to 4.0.30

* Sun Nov 29 2020 luigiwalser <luigiwalser> 4.0.26-1.mga8
+ Revision: 1650215
- 4.0.26

* Sun Nov 15 2020 luigiwalser <luigiwalser> 4.0.25-1.mga8
+ Revision: 1646413
- 4.0.25

* Wed Aug 19 2020 ovitters <ovitters> 4.0.24-3.mga8
+ Revision: 1616001
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Jun 28 2020 joequant <joequant> 4.0.24-2.mga8
+ Revision: 1599917
- remove arm workaround

* Wed Apr 08 2020 luigiwalser <luigiwalser> 4.0.24-1.mga8
+ Revision: 1565485
- 4.0.24

* Fri Feb 14 2020 umeabot <umeabot> 4.0.23-2.mga8
+ Revision: 1521647
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 4.0.23-1.mga7
+ Revision: 1345912
- 4.0.23

* Mon Dec 03 2018 daviddavid <daviddavid> 4.0.22-1.mga7
+ Revision: 1337699
- new version: 4.0.22

* Sun Nov 25 2018 daviddavid <daviddavid> 4.0.21-1.mga7
+ Revision: 1333946
- new version: 4.0.21

* Mon Nov 12 2018 daviddavid <daviddavid> 4.0.20-1.mga7
+ Revision: 1329617
- new version: 4.0.20

* Sun Sep 30 2018 daviddavid <daviddavid> 4.0.19-1.mga7
+ Revision: 1312613
- new version: 4.0.19

* Sun Sep 23 2018 umeabot <umeabot> 4.0.18-7.mga7
+ Revision: 1299640
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 4.0.18-6.mga7
+ Revision: 1236169
- fix build on aarch64
+ kekepower <kekepower>
- Update Source0 and URL links
- Use make_build

* Mon Feb 08 2016 umeabot <umeabot> 4.0.18-5.mga6
+ Revision: 946052
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.18-4.mga5
+ Revision: 744476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.18-3.mga5
+ Revision: 682681
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.18-2.mga4
+ Revision: 521918
- Mageia 4 Mass Rebuild

* Wed Jan 30 2013 luigiwalser <luigiwalser> 4.0.18-1.mga3
+ Revision: 393610
- 4.0.18

* Sun Jan 13 2013 cjw <cjw> 4.0.17-3.mga3
+ Revision: 373029
- put udev rules file in _udevrulesdir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 4.0.17-2.mga2
+ Revision: 150177
- bump rel
- tighten br

* Sat Jul 02 2011 kharec <kharec> 4.0.17-1.mga2
+ Revision: 117446
- new version 4.0.17
+ blino <blino>
- imported package mtools


* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.0.15-1mdv2011.0
+ Revision: 600272
- Updated to 4.0.15.

* Sun Oct 17 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.0.14-1mdv2011.0
+ Revision: 586252
- update to new version 4.0.14

* Mon Mar 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.0.13-1mdv2010.1
+ Revision: 512978
- up to 4.0.13

* Fri Jan 15 2010 Emmanuel Andry <eandry@mandriva.org> 4.0.12-1mdv2010.1
+ Revision: 491841
- New version 4.0.12
- rediff p2

* Tue Oct 27 2009 Frederic Crozat <fcrozat@mandriva.com> 4.0.10-3mdv2010.0
+ Revision: 459472
- Add udev ACL for floppy access for non-root users (Mdv bug #39916)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0.10-2mdv2010.0
+ Revision: 426199
- rebuild

* Wed Mar 18 2009 Nicolas Vigier <nvigier@mandriva.com> 4.0.10-1mdv2009.1
+ Revision: 357451
- version 4.0.10
- rediff patch0
- drop patch3 (applied upstream)

* Wed Jan 14 2009 Frederic Crozat <fcrozat@mandriva.com> 4.0.1-2mdv2009.1
+ Revision: 329549
- Remove patch5, supermount is dead
- Patch3: fix buffer overflow detected by fortify

* Sun Dec 28 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-1mdv2009.1
+ Revision: 320312
- 4.0.1
- rediffed one fuzzy patch

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.9.11-5mdv2009.0
+ Revision: 223327
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.9.11-4mdv2008.1
+ Revision: 180102
- bump release
- drop P4 to make it compile
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 07 2007 Nicolas Vigier <nvigier@mandriva.com> 3.9.11-1mdv2008.0
+ Revision: 49606
- new version
- drop useless old patch


* Sun Feb 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.9.10-3mdv2007.0
+ Revision: 118825
- Import mtools

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.9.10-2mdk
- Rebuild

* Tue Jul 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.9.10-1mdk
- New release 3.9.10

* Fri Feb 20 2004 Vincent Danen <vdanen@mandrakesoft.com> 3.9.9-3mdk
- undo the special-but-insecure handling for mformat (aka no more suid)

